#!/bin/bash

set -eu -o pipefail

init_db() {
		set -eu

		apt update && apt install -y mariadb-client

		PASSWORD=`cat /run/secrets/db_password`
		TABLE_COUNT=$(mysql -u mediawiki --password="$PASSWORD" -h mariadb mediawiki -e "SELECT count(*) AS TOTAL FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_SCHEMA = 'mediawiki';" -N -B)

    if [[ "${TABLE_COUNT}" == "0" ]]; then
			mysql -u mediawiki --password="$PASSWORD" -h mariadb mediawiki < /var/www/html/maintenance/tables.sql
		else
			php /var/www/html/maintenance/update.php
		fi
}

main() {
		set -eu

		init_db
}

main

/docker-entrypoint.sh apache2-foreground "$@"
